import pytest
from tests.test_resources.api_test_runner import run_test_case

# marks all tests as historical
pytestmark = [pytest.mark.historical]


@pytest.mark.smoke
@pytest.mark.parametrize(
    "test_case",
    [
        {"params": {}, "historical": 17750},
        {"params": {"q": "gymnasielärare"}, "historical": 132},
        {"params": {"q": "lärare"}, "historical": 879},
        {"params": {"q": "C#"}, "historical": 94},
        {"params": {"q": "c-körkort"}, "historical": 63},
        {"params": {"q": ".net"}, "historical": 82},
        {"params": {"q": "ci/cd"}, "historical": 12},
        {"params": {"q": "erp-system"}, "historical": 11},
        {"params": {"q": "tcp/ip"}, "historical": 17},
        {"params": {"q": "cad-verktyg"}, "historical": 5},
        {"params": {"q": "backend-utvecklare"}, "historical": 13},
        {"params": {"q": "it-tekniker"}, "historical": 53},
        pytest.param({"params": {"q": "sjuksköterska"}, "historical": 869}, marks=pytest.mark.smoke),
        {"params": {"q": "sjuksköterskor"}, "historical": 864},
        {"params": {"q": "körkort"}, "historical": 3032},
        {"params": {"q": "livsmedel"}, "historical": 61},
        {"params": {"q": "sköterska"}, "historical": 6},
        {"params": {"q": "undersköterska"}, "historical": 367},
        {"params": {"q": "försäkring"}, "historical": 215},
        {"params": {"q": "kock"}, "historical": 288},
        {"params": {"q": "uppsala"}, "historical": 417},
        {"params": {"q": "pizzabagare"}, "historical": 57},
        {"params": {"q": "personlig assistent"}, "historical": 626},
        {"params": {"q": "förskollärare"}, "historical": 376},
        {"params": {"q": "python"}, "historical": 73},
        {"params": {"q": "barnmorska tandsköterska"}, "historical": 82},
        pytest.param({"params": {"q": "barnmorska fysioterapeut"}, "historical": 95}, marks=pytest.mark.smoke),
        {"params": {"q": "chefsbarnmorska barnmorska"}, "historical": 36},
        {"params": {"q": "bartender"}, "historical": 32},
        {"params": {"q": "personlig assistent +göteborg"}, "historical": 37},
        {"params": {"q": "förskollärare"}, "historical": 376},
        {"params": {"q": "sjuksköterska -stockholm"}, "historical": 735},
        pytest.param({"params": {"municipality": ["AvNB_uwa_6n6", "oYPt_yRA_Smm"]}, "historical": 3289}, marks=pytest.mark.smoke),
        {"params": {"municipality": "QiGt_BLu_amP"}, "historical": 163},
        {"params": {"municipality": "PVZL_BQT_XtL", "region": "CifL_Rzy_Mku"}, "historical": 2502},
        {"params": {"municipality": "PVZL_BQT_XtL", "region": "CifL_Rzy_Mku", "country": "i46j_HmG_v64"}, "historical": 17728},
        {"params": {"region": "CifL_Rzy_Mku"}, "historical": 1396},
        {"params": {"country": "QJgN_Zge_BzJ"}, "historical": 11},
        {"params": {"occupation-group": "Z8ci_bBE_tmx"}, "historical": 363},
        pytest.param({"params": {"occupation-field": "ASGV_zcE_bWf"}, "historical": 235}, marks=pytest.mark.smoke),
        {"params": {"q": "lärare", "published-after": "2019-01-16T07:29:52"}, "historical": 213},
        {"params": {"q": "Kundtjänstmedarbetare", "sort": "pubdate-asc"}, "historical": 224},
        {"params": {"q": "lärare", "published-after": "2019-01-16T07:29:52", "country": "i46j_HmG_v64", "sort": "pubdate-asc"}, "historical": 213},
        {"params": {"q": "lärare", "region": ["CifL_Rzy_Mku", "CaRE_1nn_cSU"]}, "historical": 52},
        {"params": {"q": "lärare", "region": "CifL_Rzy_Mku"}, "historical": 37},
        {"params": {"q": "lärare", "municipality": "8deT_FRF_2SP"}, "historical": 12},
        pytest.param({"params": {"employment-type": "PFZr_Syz_cUq"}, "historical": 4595}, marks=pytest.mark.smoke),
        {"params": {"employment-type": "kpPX_CNN_gDU"}, "historical": 0},
        {"params": {"employment-type": "EBhX_Qm2_8eX"}, "historical": 0},
        {"params": {"experience": True}, "historical": 3725},
        {"params": {"experience": False}, "historical": 1243},
        {"params": {"remote": True}, "historical": 34},
        {"params": {"remote": True, "municipality": "AvNB_uwa_6n6"}, "historical": 10},
        {"params": {"remote": True, "region": "CifL_Rzy_Mku"}, "historical": 9},
        {"params": {"remote": True, "abroad": True}, "historical": 0},
        {"params": {"remote": True, "experience": True}, "historical": 17},
        {"params": {"remote": True, "occupation-group": "DJh5_yyF_hEM"}, "historical": 1},
        {"params": {"remote": True, "occupation-field": "RPTn_bxG_ExZ"}, "historical": 15},
        {"params": {"remote": True, "q": "Stockholms Län"}, "historical": 9},
        pytest.param({"params": {"remote": True, "q": "Stockholm"}, "historical": 9}, marks=pytest.mark.smoke),
        {"params": {"remote": True, "q": "utvecklare"}, "historical": 1},
        {"params": {"region": "90"}, "historical": 17},
        {"params": {"region": "09"}, "historical": 18},
        {"params": {"unspecified-sweden-workplace": True}, "historical": 12852},
        {"params": {"region": "90", "unspecified-sweden-workplace": True}, "historical": 12858},
        {"params": {"country": "219"}, "historical": 0},
        {"params": {"region": "90", "country": "219"}, "historical": 17},
        {"params": {"unspecified-sweden-workplace": True, "country": "-199"}, "historical": 0},
    ]
)
def test_count(test_case):
    run_test_case(test_case)
